Authentication Resource
Authenticate and get access token
This unauthenticated endpoint is used to get the JWT that must be used in the header of every other request.
POST
Authenticate and get access token
Documentation Index
Fetch the complete documentation index at: https://developer.easyparkgroup.com/llms.txt
Use this file to discover all available pages before exploring further.
Previous
Initiate report generation
Generates a report based on the provided parameters. Requested data period must not be older than 14 months from current date.
<h3>Required fields</h3>
Mandatory fields to be passed in the request body:
| Field | Type | Description |
| --- | --- | --- |
| operatorId | integer | The ID of the operator for which the report is being generated |
| reportFormat | string | The format of the report (JSON or CSV) |
| startDate | string | The start date of the data period for the report (yyyy-MM-dd) |
| endDate | string | The end date of the data period for the report (yyyy-MM-dd) |
<h3>Additional fields</h3>
Following fields (columns) can be requested by passing them to the `additionalFields` parameter in the request body.
| Field | Description |
| --- | --- |
| ORDER_ID | Invoice billing ID |
| SUPPLIER_NAME | Name of the parking operator |
| CLIENT_ID | EPIC customer ID or parkmobile user id |
| CUSTOMER_PHONE | Phone number of the user |
| EMAIL | Email of the user |
| LPN | License plate from payment parking |
| LPN_STATE | U.S. state where the license plate is registered in. From payment parking |
| CLEARING_PERIOD | The settlement date in YYYYMM format |
| START_PARKING_ON_LOCAL | Start timestamp of the parking in local time |
| STOP_PARKING_ON_LOCAL | Stop timestamp of the parking in local time |
| DURATION_IN_MINUTES | Difference between parking start and stop date displayed in minutes |
| PAYMENT_ID | ID for the parking |
| PAYMENT_REFERENCE | Payment service provider reference |
| PAYMENT_AMOUNT_VAT_AMOUNT | VAT of the payment amount that the consumer payed. The total sum of VAT amounts |
| PARKING_AMOUNT | Parking amount from payment parking |
| PARKING_AMOUNT_INITIAL | Parking_amount incl. VAT. Defined as the total parking_fee excl all credits and discounts. Also excluding reinvoicing so there should only be one record per parking |
| PARKING_AMOUNT_VAT_AMOUNT | Parking VAT amount from payment parking |
| TRANSACTION_FEE | Transaction fee amount from payment parking |
| TRANSACTION_FEE_INITIAL | Transaction fee incl. VAT. Used in remittance report |
| TRANSACTION_FEE_VAT_AMOUNT | Transaction fee VAT amount from payment parking |
| CONVENIENCE_FEE | Convenience fee amount from payment parking |
| CONVENIENCE_FEE_INITIAL | Convenience fee incl. VAT. Used in remittance report |
| CONVENIENCE_FEE_VAT_AMOUNT | Convenience fee VAT amount from payment parking |
| OPERATOR_SURCHARGE_INCL_TAX | The total amount of operator surcharge imposed on the parker by the operator, including the tax value |
| IS_EXTENSION | Whether the transaction is an extension or an initial parking |
| VAT_PERCENTAGE | VAT percentage from payment parking, applicable in Canada/Europe |
| CURRENCY | Currency used for the parking transaction |
| PAID_MINUTES | How many minutes the user paid for parking |
| INSERT_DATE | Invoice billing insert time local |
| CREDIT_CARD_TYPE | Type of credit card used for payment. Amex, Discover, MasterCard, N/A, PayPal, VISA, Wallet |
| MASKED_CARD_NUMBER | Masked card number used for payment |
| CREDIT_CARD_ZIP | Zip code of the credit card |
| TIME_ZONE | Time zone from payment parking |
| COUNTRY_CODE | Supplier country abbreviation |
| ZONE_ID | ID associated with the parking zone |
| ZONE_DESCRIPTION | Description of the zone (typically city, state) |
| LOCATION | Concatenated location info from station, department_location, station_label, and department_location_label |
| STATION | Zone attribute value |
| DEPARTMENT_LOCATION | Zone attribute value |
| SPACE_NUMBER | Parking space number |
| PARKMOBILE_PARKING_DISCOUNT | Represent the discount offered by EasyPark on parking fee and the user can see the discount |
| PARKMOBILE_TRANSACTION_FEE_DISCOUNT | Represent the discount offered by EasyPark on transaction fee and the user can see the discount |
| PARKMOBILE_CONVENIENCE_FEE_DISCOUNT | Represent the discount offered by EasyPark on convenience fee and the user can see the discount |
| CLIENT_PARKING_DISCOUNT | Represent the discount offered by the supplier on parking fee and the user can see the discount |
| CLIENT_TRANSACTION_FEE_DISCOUNT | Represent the discount offered by the supplier on transaction fee and the user can see the discount |
| CLIENT_CONVENIENCE_FEE_DISCOUNT | Represent the discount offered by the supplier on convenience fee and the user can see the discount |
| WAIVED_FEE_INCL_TAX | The total amount of fee waived for the end user, including the tax value |
| GROUPED_PARKING_RIGHT_ID | ID of multiple transactions that are part of a session grouping |
| IS_MULTI_TIER | Indicates whether a transaction has applied tiered pricing |
| PRODUCT_TYPE | Sort of Parking Type the underlying session is (MOBILE_PAY_PARKING, AUTOMOTIVE_APP, ANPR_GATED, TICKET_TAKEOVER) |
| EXTERNAL_PARKING_ACTION_ID | Unique identifier for a parking transaction initiated by a third-party system |
| CONTRACT_OWNER | The entity responsible for owning and managing the contract's terms |
| MARKET_FACILITATOR | The entity responsible for collecting and remitting sales tax on transactions |
| CITY_TAX | The amount of city tax applied to a parking |
| COUNTY_TAX | The amount of county tax applied to a parking |
| STATE_TAX | The amount of state tax applied to a parking |
| VIRTUAL_ACCESS_CODE | It is a code that gives special rates to customers based on their LPN |
| ADD_ON | It is a vehicle specific add-on price that comes from Flash |
| VENUE_NAME | It is the name of the venue where the event is held (defined only for reservations) |
| EVENT_NAME | It is the name of the event for which the parking reservation is made (defined only for reservations) |
| STATUS | It shows whether a reservation is purchased or refunded. It has the status FINISHED or REFUNDED |
| RECONCILIATION_ID | CyberSource reconciliation ID |
| POST_ID | Single space meter number |
| PAYSTATION_ID | Multi-space paystation number |
| PBLP_ZONE | Pay by license plate zone number |
| STREET_AND_BLOCK | Combination of street name and block number |
| STREET | Street name |
| COLLECTION_ROUTE | Geographic route ID for collection |
| COLLECTION_SUB_ROUTE | Subset of geographic route ID for collection |
| PARKING_METER_MAINTENANCE_ROUTES | Geographic route ID for meter maintenance |
| ENFORCEMENT_BEATS | Geographic route ID for enforcement |
Next
Authenticate and get access token